using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RadGrid1.NeedDataSource += new Telerik.Web.UI.GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);
    }

    protected void RadGrid1_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        List<Employee> employees = new List<Employee>();

        Employee newEmployee = new Employee("Smith");

        newEmployee.Diplomas.Add(new Diploma("Theology"));
        newEmployee.Diplomas.Add(new Diploma("Computer science"));
        newEmployee.Diplomas.Add(new Diploma("Economics"));

        employees.Add(newEmployee);

        RadGrid1.DataSource = employees;
    }
}

public class Employee
{
    public Employee(string name)
    {
        LastName = name;
        Diplomas = new List<Diploma>();
    }
    public string LastName { get; set; }
    public List<Diploma> Diplomas { get; set; }
}

public class Diploma
{
    public Diploma(string major)
    {
        Major = major;
    }
    public string Major { get; set; }
}